GET /messaging/v1/sms/definitions

note: The number of records returned by this function is based on the $pageSize and $page parameters. It doesn't necessarily return all the records in one call.

Overview

Get a list of SMS send definitions.

URL Parameters

Name Type Description
$filter string Filter by status type. Accepted values are active, inactive, or deleted. Valid operations are eq and neq.
$pageSize integer In the array called definitions, each element is an object representing a send definition. This parameter controls the number of such objects that are returned per page.
$page integer Page number to return.
$orderBy string Sort by a dimension. You can sort by only one dimension. Accepted values are definitionKey, name, createdDate, modifiedDate, and status.

Responses

Status Name Type Description
200     Success
  requestId string The unique identifier of this request.
  name string Name of the definition.
  definitionKey string Unique, user-generated key to access the definition object.
  status string Operational state of the definition: active, inactive, or deleted. A message sent to an active definition is processed and delivered. A message sent to an inactive definition isn’t processed or delivered. Instead, the message is queued for later processing for up to three days.
  createdDate string Date the definition was created.
  modifiedDate string Date and time of the most recent definition change.

Usage

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /messaging/v1/sms/definitions/?$filter=status%20eq%20active&$pageSize=10&$page=1&$orderBy=name
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

HTTP/1.1 200 OK
{
  "requestId": "ba9633fa-5c8d-4c42-8efa-a16412ac0c53",
  "definitions": [
    {
      "definitionKey": "account-reset",
      "status": "Active",
      "name": "Using new SMS Transactional API",
      "createdDate": "2018-07-18T19:52:00",
      "modifiedDate": "2018-07-18T19:52:00"
    }
  ],
  "count": 1,
  "page": 1,
  "pageSize": 10
}

HTTP Responses

Response Reason
200 OK Success. Review example response.
400 Bad Request Invalid request
403 Forbidden Failed to pass authorization.
500 Server Error Internal error